org.eclipse.actf.ai.voice

## Interface IVoiceEventListener

All Superinterfaces:
  EventListener

    public interface IVoiceEventListener
    extends EventListener

The listener interface for receiving notification of voice events.

### Method Summary

Methods
`void` `indexReceived(int index)` Invoked when TTS engine begins speaking text or complete speaking text.

### Method Detail

#### indexReceived

    void indexReceived(int index)

Invoked when TTS engine begins speaking text or complete speaking text. This event only occurs if index parameter is specified on IVoice#speak() request.

Parameters:
  `index` - positive integer when TTS engine begins speaking text -1 when TTS engine completed speaking text
See Also:
  `IVoice.speak(String, boolean, int)`